﻿@model IEnumerable<BeerOverflow.Services.ModelsDTo.WebModels.ReviewDetailModel>

@{
    ViewData["Title"] = "ShowReviews";
}

<h1>Reviews</h1>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Username)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.BeerName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Text)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.PostedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Flagged)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Username)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BeerName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Text)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PostedOn)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Flagged)
                </td>
            @if (User.IsInRole("Admin"))
            {
            <td>
                <a asp-controller="Review" asp-action="DeleteReview" asp-route-id="@item.Id" asp-route-name="@User.Identity.Name">Delete</a>
            </td>
            }
            </tr>
        }
        </tbody>
    </table>
